using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.ComponentModel;


namespace Project
{
    public class CounterSetting : arUtil.Setting
    {
        public int seq { get; set; }
        public string DateStr { get; set; }



        public void ClearP()
        {
            CountV0 = CountV1 = CountV2 = CountE = CountP0 = CountP1 = CountP2 = CountPrint0 = CountPrint1 = 0;
            Pub.log.Add("Count(Port) Clear");
            this.Save();
        }

        public void ClearDay()
        {
            DateStr = string.Empty;
            CountDP0 = CountDP1 = CountDP2 = CountDP3 = CountDP4 = 0;
            Pub.log.Add("Count(Day) Clear");
            this.Save();
        }

        public int CountD
        {
            get
            {
                return CountDP0 + CountDP1 + CountDP2 + CountDP3 + CountDP4;
            }
        }
        public int Count
        {
            get
            {
                return CountP0 + CountP1 + CountP2 + CountPrint0 + CountPrint1;
            }
        }

        public int CountDP0 { get; set; }
        public int CountDP1 { get; set; }
        public int CountDP2 { get; set; }
        public int CountDP3 { get; set; }
        public int CountDP4 { get; set; }




        //메인카운터        
        public int CountP0 { get; set; }
        public int CountP1 { get; set; }
        public int CountP2 { get; set; }
        public int CountPrint0 { get; set; }
        public int CountPrint1 { get; set; }
        public int CountE { get; set; }
        public int CountV0 { get; set; }
        public int CountV1 { get; set; }
        public int CountV2 { get; set; }


        public CounterSetting()
        {
            this.filename = Util.CurrentPath + "counter.xml";
        }
        public override void AfterLoad()
        {
            //if (CountReset == null) CountReset = DateTime.Parse("1982-11-23");
        }
        public override void AfterSave()
        {
            //throw new NotImplementedException();
        }
    }
}
